
package com.google.api.ads.adwords.jaxws.v201206.cm;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             Represents a Polygon Criterion.
 *             
 *             A polygon is described by a list of at least three points, where each point is a
 *             (<var>latitude</var>, <var>longitude</var>) ordered pair. No point can be more than 400km
 *             from the center of the polygon. The points are specified in microdegrees, the precison
 *             for the value is 1 second of angle which is equal to 277 microdegrees.<p>
 *             
 *             <p>Please note that Polygons are deprecated. This means that Polygon targets cannot be added
 *             through the API, though existing targets can be retrieved and deleted.
 *             <p>
 *             <span class="constraint AdxEnabled">This is enabled for AdX.</span>
 *           
 * 
 * <p>Java class for Polygon complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Polygon">
 *   &lt;complexContent>
 *     &lt;extension base="{https://adwords.google.com/api/adwords/cm/v201206}Criterion">
 *       &lt;sequence>
 *         &lt;element name="vertices" type="{https://adwords.google.com/api/adwords/cm/v201206}GeoPoint" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Polygon", propOrder = {
    "vertices"
})
public class Polygon
    extends Criterion
{

    protected List<GeoPoint> vertices;

    /**
     * Gets the value of the vertices property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the vertices property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getVertices().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link GeoPoint }
     * 
     * 
     */
    public List<GeoPoint> getVertices() {
        if (vertices == null) {
            vertices = new ArrayList<GeoPoint>();
        }
        return this.vertices;
    }

}
