
package com.google.api.ads.adwords.jaxws.v201206.cm;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             Target restrict setting. Set useAdGroup to true to indicate the use of adgroup
 *             level targeting settings. Set useAdGroup to false to use the old campaign level
 *             broad/restrict setting.
 *             
 *             Choosing this option will be a one-way transition: once you choose it, you
 *             cannot go back to the old broad/specific settings.
 *             
 *             This setting is automatically added to all campaigns created with API v201206 with useAdGroup
 *             set to true. Any passed value will be ignored.
 *           
 * 
 * <p>Java class for TargetRestrictSetting complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TargetRestrictSetting">
 *   &lt;complexContent>
 *     &lt;extension base="{https://adwords.google.com/api/adwords/cm/v201206}Setting">
 *       &lt;sequence>
 *         &lt;element name="useAdGroup" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TargetRestrictSetting", propOrder = {
    "useAdGroup"
})
public class TargetRestrictSetting
    extends Setting
{

    protected Boolean useAdGroup;

    /**
     * Gets the value of the useAdGroup property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isUseAdGroup() {
        return useAdGroup;
    }

    /**
     * Sets the value of the useAdGroup property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setUseAdGroup(Boolean value) {
        this.useAdGroup = value;
    }

}
